<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>

</head>
<body>
    <h1>JavaScript Session</h1>
   
    <script>
        console.log("Hello World!");
        console.log("Welcome to TalentSprint");
        console.log("FSD Sessions");
        console.log("HTML Session");
        console.log("HTML Session");
    console.log(85+78-4*2);
    console.log(typeof(58-74));

    var x =10;

        console.log(x+25);
        var y = [1,2,5,4];
        // for Single line Comments
        
        /* for 
        Multiple line 
        COmmments
         */

        // var name = "Ashok";

        var Name = "Ashok Kumar";
        var Name ="Mahesh";
        var oddNum = 15;
        var evenNum = 26;
        const name = "Sagar";
            // name = "52"; 

        console.log("My name is "+name);
        console.log(`My name is ${name} alias ${Name}`);
        document.write(Name+"<br>") 
        document.write(Name.length +"<br>")
        document.write(Name.charAt(0) +"<br>")
        document.write(Name.charAt(1) +"<br>")
        document.write(Name.charAt(2) +"<br>")
        document.write(Name.charCodeAt(0) +"<br>")
        document.write(("b" + "a" + + "n" + "a").toUpperCase()+"<br>");
        document.write('("45" * "SRT"): '+("45" * "SRT")+"<br>");
        document.write("ASHOK".split("").reverse().join("@")+"<br>");
        document.write("ASHOK".concat(" KUMAR")+"<br>");
        document.write("ASHOK".replace('O','@')+"<br>");
        document.write("ASHOK KUMAR".slice(0,3)+"<br>");
        document.write("ASHOK KUMAR".slice(5)+"<br>");
        document.write("ASHOK KUMAR".substring(0,5)+"<br>");
        document.write("ASHOK KUMAR".substr(0,3)+"<br>");
        // var firstname = "MAHESHBABU".split("")
        // var num = Math.floor(Math.random()*firstname.length)
        // document.write(firstname[num])

        var firstName = prompt("Enter your Name:");
        document.write(firstName+"<br>");
        document.write("Random Letter of Name is: "+firstName.charAt(Math.random()*firstName.length));
    
        

        
    </script>
</body>
</html>